> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# MCP Risk Score

> Quick risk assessment (MCP-compatible endpoint).



## OpenAPI

````yaml /api-reference/openapi.json post /v1/mcp/risk-score
openapi: 3.1.0
info:
  title: Limitguard.ai
  description: >-
    Lead validation API: the company behind each lead checked against the NL and
    BE business registers, EU VAT and sanctions lists, plus company, KYB and
    agent wallet checks for developers and AI agents
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/mcp/risk-score:
    post:
      tags:
        - mcp
      summary: MCP Risk Score
      description: Quick risk assessment (MCP-compatible endpoint).
      operationId: mcp_risk_score_v1_mcp_risk_score_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/app__routers__mcp__RiskScoreRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    app__routers__mcp__RiskScoreRequest:
      properties:
        entity_name:
          type: string
          title: Entity Name
          description: Full legal name
        country:
          type: string
          title: Country
          description: ISO country code
      type: object
      required:
        - entity_name
        - country
      title: RiskScoreRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.